<?php
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mazatlan');
require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");

require_once("comun/actions.php");

require_once("comun/funciones.php");

$action = new actions();
$link_impo=con_impo();
 
$link =con_ver();

function valorate($valor){
	$valor = str_replace("'","\'",strtoupper($valor));
	return $valor;
}
 
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['booking']); //booking interteam

//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_($link_impo,'booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

$registrado_por = $_POST['registrado_por'];
$status_cambiado = $_POST['status_cambiado'];
$status = $_POST['status'];
$tipo_bl = $_POST['tipo_bl'];


$tarja=valorate($_POST['tarja']);
 
$fecha_recepcion=valorate($_POST['fecha_recepcion']);
$hora= valorate($_POST['hora']);
$minutos= valorate($_POST['minutos']);
$tarja_recepcion=valorate($_POST['tarja_recepcion']);
$pedimento = valorate($_POST['pedimento']);
$tarja_averia = valorate($_POST['tarja_averia']);
$imo = valorate($_POST['imo']);
$posicion_almacen = valorate($_POST['posicion_almacen']);

$tratamiento_madera = valorate($_POST['tratamiento_madera']);
$txtreferencia= valorate($_POST['referencia']);
$txtshipper_file= valorate($_POST['shipper_file']);
 
$tipo_averia=valorate($_POST['tipo_averia']);
$bultos_averiados= valorate($_POST['bultos_averiados']);
$fecha_salida= valorate($_POST['fecha_salida']);

//$txtpedimento_no= valorate($_POST['pedimento_no']);
$txtcomentarios= valorate($_POST['comentarios']);
$tipo_bl = $_POST['tipo_bl'];

$txtreferencia= valorate($_POST['referencia']);
$txtshipper_file= valorate($_POST['shipper_file']);
   
$txtconsignee1=valorate($_POST['consignee1']);
$txtconsignee2= valorate($_POST['consignee2']);
$txtconsignee3=valorate($_POST['consignee3']);
$txtconsignee4 = valorate($_POST['consignee4']);
$txtconsignee5 = valorate($_POST['consignee5']);
$txtconsignee6 = valorate($_POST['consignee6']);

$txtnotify1=valorate($_POST['notify1']);
$txtnotify2= valorate($_POST['notify2']);
$txtnotify3=valorate($_POST['notify3']);
$txtnotify4 = valorate($_POST['notify4']);
$txtnotify5 = valorate($_POST['notify5']);
$txtnotify6 = valorate($_POST['notify6']);

$txtshipper1=valorate($_POST['shipper1']);
$txtshipper2= valorate($_POST['shipper2']);
$txtshipper3=valorate($_POST['shipper3']);
$txtshipper4 = valorate($_POST['shipper4']);
$txtshipper5 = valorate($_POST['shipper5']);
$txtshipper6 = valorate($_POST['shipper6']);

$txtmarks=valorate($_POST['marks']);
$txtquantity= valorate($_POST['quantity']);
$txttype_of_bulks= valorate($_POST['type_of_bulks']);

$txtdescription=valorate($_POST['description']);
$txtno_piezas = valorate($_POST['no_piezas']);
$txtgross_weight = valorate($_POST['gross_weight']);
$txtnet_weight = valorate($_POST['net_weight']);

$txtvolume=valorate($_POST['volume']);
$txtharmonized_code= valorate($_POST['harmonized_code']);
$txtams=valorate($_POST['ams']);

$largo=valorate($_POST['largo']);
$ancho=valorate($_POST['ancho']);
$alto=valorate($_POST['alto']);
$tratamiento_madera=valorate($_POST['tratamiento_madera']);
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& END O LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&



$txtfiles = qry_($link_impo,' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($link_impo,$txtidbooking);

 con_ver();
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE MBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$id_mbl = $_GET[id];

$boundary = "-----=" . md5( uniqid ( rand() ) ); 
$mailheader= "MIME-Version: 1.0\n"; 
$mailheader.= "Content-Type: multipart/alternative; boundary=\"$boundary\""; 
$mailheader.= "nX-Sender: lpm.doc@lpmzlo.com \nFrom: lpm.doc@lpmzlo.com \nReply-To: lpm.doc@lpmzlo.com \nX-MSMail-Priority: High \nContent-type: text/html" ;

$recibe='lpm.doc@lpmzlo.com';   
 
$recibe.=(trim($registrado_por)!='' ? ','.strtolower($registrado_por) : '');
$action->alert($id_mbl);
if($id_mbl!='' and $id_mbl!='0'){ 
$action->alert($pedimento);
 
				
				mysqli_query($link ,"update hblexpint set shipper='$txtshipper1', shipper2='$txtshipper2', shipper3='$txtshipper3',shipper4='$txtshipper4',
				shipper5='$txtshipper5',shipper6='$txtshipper6',consignee='$txtconsignee1',consignee2='$txtconsignee2', 
				consignee3='$txtconsignee3',consignee4='$txtconsignee4', consignee5='$txtconsignee5', consignee6='$txtconsignee6', 
			    notify='$txtnotify1',notify2='$txtnotify2', notify3='$txtnotify3', notify4='$txtnotify4', notify5='$txtnotify5', 
				notify6 = '$txtnotify6',shipper_file = '$txtshipper_file',
				tarja = '$tarja',comentarios='$txtcomentarios',referencia = '$txtreferencia',booking = '$txtbooking',
				registrado_por='".$_POST[registrado_por]."',
				fecha_recepcion='$fecha_recepcion',
				hora_registro_ingreso='$hora:$minutos',
				tarja_recepcion='$tarja_recepcion',
				tarja_averia='$tarja_averia',
				imo='$imo',
				posicion_almacen='$posicion_almacen'
				where idhbl='".$id_mbl."' ");
				
				mysqli_query($link ,"update hblexpint set pedimento='$pedimento' where idhbl='".$id_mbl."' ");
			if(mysqli_affected_rows() and trim($pedimento)!='') {
				mysqli_query($link ,"update hblexpint set fecha_pedimento='".date("Y-m-d H:i:s")."' where idhbl='".$id_mbl."' ");
			}
			
	
	 if($status_cambiado!=''){
	 mysqli_query($link ,"update hblexpint set status = '".$status_cambiado."',revision = '".$_POST[email]."',fecha_revision='".date("Y-m-d H:i:s")."' where idhbl='".$id_mbl."' ");
	 }

	if($status_cambiado=='OK'){
	 mysqli_query($link ,"update hblexpint set revision = '".$_POST[email_2]."',fecha_revision='".date("Y-m-d H:i:s")."' where idhbl='".$id_mbl."' ");
    }
	
	if($status_cambiado=='REVISION PENDIENTE' or $status_cambiado=='REVISANDO'){
	 mysqli_query($link ,"update hblexpint set revision = '',fecha_revision='0000-00-00 00:00:00' where idhbl='".$id_mbl."' ");
    }
	
		if($status_cambiado=='FUERA DE TIEMPO'){
			mysqli_query($link ,"update hblexpint set revision = '".$_GET[email]."',fecha_revision='".date("Y-m-d H:i:s")."',status = 'FUERA DE TIEMPO' where idhbl='".$id_mbl."' ");
    }
	if($status_cambiado=='NUEVO'){
	 mysqli_query($link ,"update hblexpint set revision = '',fecha_revision='0000-00-00 00:00:00',status='NUEVO' where idhbl='".$id_mbl."' ");
    }
	if($tipo_bl=='MBL'){
		$descarga='
				<u>**AVISO IMPORTANTE PARA AGENCIAS  ADUANALES**</u><BR><BR>

Ahora puede consultar: NUMERO / TIPO / CAPACIDAD de CONTENEDOR Y  BANDERA DE BUQUE.<BR>
Ingresando su numero de booking en el portal: <a href="https://intralogs.com.mx/ZLO/agenteaduanal/login.php">https://intralogs.com.mx/ZLO/agenteaduanal/login.php</a> <BR>                                                       
**A partir de la fecha de cierre de documentos indicada para su embarque**. <BR><BR>

		DESCARGUE SU BL EN: <a href="https://intralogs.com.mx/ZLO/pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'">https://intralogs.com.mx/ZLO/pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'</a><br><br>';
	}else{
		$descarga='
				<u>**AVISO IMPORTANTE PARA AGENCIAS  ADUANALES**</u><BR><BR>

Ahora puede consultar: NUMERO / TIPO / CAPACIDAD de CONTENEDOR Y  BANDERA DE BUQUE.<BR>
Ingresando su numero de booking en el portal: <a href="https://intralogs.com.mx/ZLO/agenteaduanal/login.php">https://intralogs.com.mx/ZLO/agenteaduanal/login.php</a> <BR>                                                       
**A partir de la fecha de cierre de documentos indicada para su embarque**. <BR><BR>

		DESCARGUE SU BL EN: <a href="https://intralogs.com.mx/ZLO/pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'">https://intralogs.com.mx/ZLO/pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'</a><br><br>';
	}
	
	if($status_cambiado=='OK' and ($status=='REVISION PENDIENTE'  or $status=='REVISANDO' or $status == 'FUERA DE TIEMPO')){
	$subject='*** OK *** '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">GRACIAS, <B>'.$tipo_bl.' DE ID '.$id_mbl.' BOOKING '.$txtbooking.'</B> *** REVISION OK ***  <br><br>'.
						
						$descarga.'
						
						LOGISTICA PORTUARIA DE MANZANILLO, S.A. DE C.V.</SPAN>';
			
						mail($recibe,$subject,$mailtext,$mailheader); 
	}
	
	if($_POST[status_cambiado]=='FUERA DE TIEMPO' and ($status=='REVISION PENDIENTE' or $status=='REVISANDO' or $status == 'FUERA DE TIEMPO')){
	$subject='*** FUERA DE TIEMPO *** '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">*** FUERA DE TIEMPO ***, <B>'.$tipo_bl.' DE ID '.$id_mbl.' BOOKING '.$txtbooking.'</B> EL BL NO SE DOCUMENTARA <br><br>
						
						LOGISTICA PORTUARIA DE MANZANILLO, S.A. DE C.V.</SPAN>';
			
						mail($recibe,$subject,$mailtext,$mailheader); 
	}
	

 			    mysqli_query($link ,"update detailcargaexpint set 
				`bulk` = '$txtquantity', `type_of_bulks` = '$txttype_of_bulks',`number_of_pieces` = '$txtno_piezas', `cargo` = '$txtdescription', `weight` = '$txtgross_weight',
				`measurement` = '$txtvolume', `markandnos` = '$txtmarks', `netweight` = '$txtnet_weight',
				`harmonized_code`='$txtharmonized_code',`ams`='$txtams',bookingno = '$txtbooking',tratamiento_madera='$tratamiento_madera',
				tipo_bl='$tipo_bl'
				where id_bl = '".$id_mbl."'  ");
				//$action->alert(mysqli_error());
				
				// aqui
				if(trim($txtidbooking)=='' or trim($txtidbooking)=='0'){
					$bkg = $txtbooking;
				}else{
					$bkg = $txtidbooking;
				}
				
				mysqli_query($link ,"delete from dimensiones where id_partida = '$id_mbl'");
					
				for($l=0;$l<=count($_POST[numero_bultos]);$l++){
							 if(trim($_POST[numero_bultos][$l])!='0' and trim($_POST[numero_bultos][$l])!=''){
									mysqli_query($link ,"insert into dimensiones (`booking`, `id_partida`, `numero_bultos`, `largo`, `ancho`, `alto`)
									values ('".$bkg."',	'".$id_mbl."','".$_POST[numero_bultos][$l]."','".$_POST[largo][$l]."',
									'".$_POST[ancho][$l]."','".$_POST[alto][$l]."')");
							 }
				}		
	
	
}

$action->alert('BL GUARDADO');
//$action->add_js_code("document.getElementById('regresar').click()");
$action->send_response();
return;
?> 

